<?php

namespace Webkul\DamBundle\Classes\Constraints;

use Symfony\Component\Validator\Context\ExecutionContextInterface;
use Symfony\Component\Validator\Constraint;

class UniqueCode extends Constraint
{
    public function getTargets()
    {
        return self::CLASS_CONSTRAINT;
    }

    public function validatedBy()
    {
        return 'uniqueAssetCode';
    }

    public $message = 'This Code value is already used.';
}
